/* 
 *  Copyright (C) 1999-2001 Bernd Gehrmann
 *                          bernd@physik.hu-berlin.de
 *
 * This program may be distributed under the terms of the Q Public
 * License as defined by Trolltech AS of Norway and appearing in the
 * file LICENSE.QPL included in the packaging of this file.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */


#ifndef _TAGDLG_H_
#define _TAGDLG_H_

#include <qdialog.h>
#include <qcheckbox.h>
#include <qlineedit.h>


class TagDialog : public QDialog
{
    Q_OBJECT

public:
    enum ActionType { Create, Delete };
    
    TagDialog( ActionType action, QWidget *parent=0, const char *name=0 );
    bool branchTag()
        { return branchtag_button->isChecked(); }
    QString tag()
        { return tag_edit->text(); }

protected:
    virtual void done(int r);
    
private:
    QCheckBox *branchtag_button;
    QLineEdit *tag_edit;
};

#endif


// Local Variables:
// c-basic-offset: 4
// End:
